html, body
{
    height:100%;
    width:100%;
    margin:0;
    padding:0;
}
.TopFloat
{
    z-index: 10;
    display: flex;
    position: fixed;
    top: 0;
    width: 100%;
    height: 100px;
    border-bottom: 3px solid rgba(68,2,2,0.83);
    align-items: center;
    background-color: rgba(0,0,0,0.85);
}
.TopFloat-Item01
{
    display: flex;
    justify-content: left;
    flex: 1;
    margin-left: 20px;
    font-size: 30px;
    font-weight: 700;
    font-family: cuprum;
    font-style: normal;
    letter-spacing: 2px;
    font-size: 48px;
    color: #DE3033;
}
.TopFloat-Item04
{
    flex: 0.8;
    display: flex;
    align-items: center;
}
.TopFloat-Item02
{
    display: flex;
    justify-content: left;
    flex: 2;
}
.TopFloat-Item03
{
    display: flex;
    justify-content: right;
    flex: 1;
    margin-right: 20px;
}
/* 整體 */
.VideoBlock
{
    display: flex;
    position: relative;
    top: 120px;
    height: 1000px;
}
/* 左方設定 */
.LeftVideo
{
    margin-top: 9px;
    margin-right: 10px;
    margin-left: 50px;
    margin-bottom: 10px;
    width: 70%;
    background-color: rgba(24,0,0,0.85);
}
.Video
{
    height: 640px;
    margin: 10px;
}
#WatchVideo
{
    width: 99.5%;
    height: 85%;
}
.VideoDetail
{
    height: 160px;
    margin-top: 15px;
    margin-right: 10px;
    margin-left: 10px;
    margin-bottom: 10px;
    font-weight: 500;
    border-left: thick;
    border-right: thick;
    border-bottom: thick;
    border-top: medium solid rgba(136,52,53,0.33);
    font-size: 15px;
    padding-top: 15px;
    padding-right: inherit;
    padding-left: inherit;
    padding-bottom: inherit;
    color: rgba(255,255,255,1.00);
    font-family: Gotham, "Helvetica Neue", Helvetica, Arial, sans-serif;
}
#VideoSubtitle {
    color: rgba(142,142,142,1.00);
    margin-top: 0px;
    margin-right: 0px;
    margin-left: 0px;
    margin-bottom: 0px;
    font-size: 16px;
    font-weight: 500;
    font-family: Gotham, "Helvetica Neue", Helvetica, Arial, sans-serif;
}

#VideoTitle
{
    font-size: 26px;
    font-weight: 700;
    color: rgba(255,255,255,1.00);
    font-family: Gotham, "Helvetica Neue", Helvetica, Arial, sans-serif;
}
/* 右方設定 */
.RightVideo
{
    display: flex;
    justify-content: center;
    flex-direction: column;
    margin: 10px;
    padding: 10px;
    width: 20%;
    background-color: rgba(24,0,0,0.85);
}
.FloatAD
{
    flex: 1;
    background-color: rgba(216,191,216,0.00);
    margin: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.RecommendVideo
{
    flex: 2;
    background-color: rgba(238,130,238,0.00);
    margin: 10px;
    display: flex;
    flex-direction: column;
    border-left: medium;
    border-right: medium;
    border-bottom: medium;
    border-top: medium solid rgba(136,52,53,0.33);
    align-items: center;
}
#FloatAD
{
    width: 90%;
    height: 90%;
}
#RecommendVideo
{
    width: 100%;
}
#RecommendTitle
{
    padding: 10px;
    font-size: 30px;
    font-family: Gotham, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 550;
    color: rgba(255,0,3,1.00);
}
figure
{
    text-align: center;
    width: 90%;
    margin-top: 10px;
    margin-right: 10px;
    margin-left: 10px;
    margin-bottom: 10px;
    font-size: 16px;
    color: rgba(175,175,175,1.00);
    font-family: Gotham, "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 600;
}
#SearchText
{
    width: 350px;
    height: 30px;
    border-left: thick;
    border-right: thick;
    border-bottom: medium solid rgba(174,0,2,0.42);
    border-top: thick;
    background-color: transparent;
    outline: none;
    color: #9C9C9C;
    font-family: cuprum;
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 30px;
}
#SearchBtn
{
    width: 110PX;
    border-left: medium solid rgba(231,0,2,1.00);
    border-right: medium solid rgba(174,0,2,0.16);
    border-bottom: medium solid rgba(174,0,2,0.16);
    border-top: medium solid rgba(174,0,2,0.16);
    border-radius: 5px;
    height: 40px;
    background-color: rgba(117,0,0,0.22);
    font-weight: 700;
    font-size: 20px;
    margin-top: auto;
    margin-right: auto;
    margin-left: 15px;
    margin-bottom: auto;
    color: rgba(174,0,2,1.00);
}
#UpgradeBtn
{
    width: 100PX;
    border-left: medium solid rgba(231,0,2,1.00);
    border-right: medium solid rgba(174,0,2,0.16);
    border-bottom: medium solid rgba(174,0,2,0.16);
    border-top: medium solid rgba(174,0,2,0.16);
    border-radius: 5px;
    height: 40px;
    background-color: rgba(117,0,0,0.22);
    font-weight: 700;
    font-size: 20px;
    margin-top: auto;
    margin-right: auto;
    margin-left: 15px;
    margin-bottom: auto;
    color: rgba(174,0,2,1.00);
}
#backgroundSetting {
    display: block;
    width: 98%;
    height: 100px;
    background-repeat: no-repeat;
    background-position: 50% 0%;
    background-size: 100% auto;
    background-attachment: fixed;
}
.VideoInformation{
    margin-top: 20px;
    margin-right: 0px;
    margin-left: 0px;
    margin-bottom: 0px;
    height: 150px;
}
.VideoDateView{
	margin-top: 10px;
    margin-right: 0px;
    margin-left: 0px;
    margin-bottom: 0px;
    height: 150px;
}
  #UserName
  {
    color: rgba(167,167,167,1.00);
    font-size: 16px;
    font-weight: 400;
    font-family: cuprum;
    font-style: normal;
  }
a{
    color: #DE3033;
    text-decoration-line: none;
  }
#VideoImg{
    border-radius: 30px;	
}
